Kerbal Space Program - Bug #19049

Docking and Undocking causes excessive gravitational force on surface vessels (post 1.4.3 patch)
05/24/2018 01:13 PM - jjasonmullins1

Status: Updated Start date: 05/24/2018
Severity: Low % Done: 10%
Assignee:

Category: Bug Tracker

Target version: 1.5.0

Version: 1.4.3 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Core Game, Making History

Description

Using version 1.4.3...
Using forklift vessel with either AGU or docking ports to lift different vessel with lander legs...
when AGU or dock is released, lander legs immediately explode. Sometimes tires on forklift also explode.

History

#1 - 05/24/2018 11:04 PM - jclovis3
- Platform Windows added

It seems as though undocking issues a sudden surge in weight to both vessels. | also see tires get damaged and have to pull my engineer out to fix
even though there was no additional weight, only loss after undocking. The new physics easing may be to blame here.

| propose changing the subject to: Undocking causes excessive gravitational force on surface vessels (post 1.4.3 patch)

#2 - 05/24/2018 11:39 PM - jjasonmullins1

- Subject changed from Forklift lift of vessel with lander legs results in exploding legs (post 1.4.3 patch) to Undocking causes excessive gravitational
force on surface vessels (post 1.4.3 patch)

#3 - 05/25/2018 01:23 AM - jjasonmullins1

- Subject changed from Undocking causes excessive gravitational force on surface vessels (post 1.4.3 patch) to Docking and Undocking causes
excessive gravitational force on surface vessels (post 1.4.3 patch)

#4 - 05/25/2018 01:27 AM - jjasonmullins1
jclovis3 wrote:

It seems as though undocking issues a sudden surge in weight to both vessels. | also see tires get damaged and have to pull my engineer out to
fix even though there was no additional weight, only loss after undocking. The new physics easing may be to blame here.

| propose changing the subject to: Undocking causes excessive gravitational force on surface vessels (post 1.4.3 patch)

Yep... I'm playing career mode now and don't have an engineer that skilled yet.

#5 - 10/15/2018 06:09 PM - joshua.collins
- Status changed from New to Ready to Test
- Target version set to 1.5.0

- % Done changed from 0 to 80

Please check this in 1.5.0. A few similar reports had been added since 1.4.3, and there have been changes in 1.4.5 and 1.5.0 that should of
addressed it.

#6 - 03/02/2019 02:52 AM - Anth12
- Status changed from Ready to Test to Needs Clarification

- % Done changed from 80 to 0
Can someone clarify if the landing legs and Wheels use the same code?

| have been working on bug testing wheels and docking and undocking and decoupling which is probably relating to this bug.
| will be submitting a bug report in the next few days that should show the real issue that has been going on since 1.4.3.

#7 - 03/04/2019 07:24 AM - Anth12

- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Related to #21432
